﻿@{
    ViewData["Title"] = "Account";
}
@model User;

<link rel="stylesheet" href="/mdl/material.min.css">
<script src="./mdl/material.min.js"></script>

<style>
    .demo-card-square.mdl-card {
        width: 320px;
        height: 320px;
    }

    .demo-card-square > .mdl-card__title {
        color: #fff;
        background: bottom right 15% no-repeat #46B6AC;
    }
</style>

<div class="demo-card-square mdl-card mdl-shadow--2dp">
    <div class="mdl-card__title mdl-card--expand">
        <h2 class="mdl-card__title-text">
            <div class="u-photo" /> <img alt="profile photo" border="50" />
            <div class="u-nick" />@Model.NickName
            <div class="u-rating" />@Model.Rating

        </h2>
    </div>
    <div class="mdl-card__supporting-text">
        <div class="u-markers-list">
            @{
                foreach (Marker m in Model.markers)
                {
                    <div> @m.Coords @m.Description </div>
                    foreach (User u in m.MarkerUsers.Select(mu => mu.user))
                    {
                        <div>@u.NickName</div>
                    }
                }
            }
        </div>
    </div>
    <div class="mdl-card__actions mdl-card--border" align="center">
        <a class="mdl-button mdl-button--colored mdl-js-button mdl-js-ripple-effect">
            logout
        </a>
    </div>
</div>
